Package com.avaya.clientservices.collaboration.whiteboard

## Class DrawingHandler<T extends android.view.View & ZoomableSharingView>

- java.lang.Object
- - com.avaya.clientservices.collaboration.whiteboard.DrawingHandler<T>

-     public class DrawingHandler<T extends android.view.View & ZoomableSharingView>
      extends java.lang.Object

  DrawingHandler is responsible for dispatching drawing events to corresponding drawing handlers.

  Client should not use/create object of this class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `DrawingHandler.ToolHandler` | Interface for whiteboard tool handlers - objects responsible for assembling shapes based on user touch points.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrawingHandler​(DrawingView<T> drawingView, T container, DrawingView.DrawingListener drawingListener)` |
    `DrawingHandler​(DrawingView drawingView, ZoomableImageView container, DrawingView.DrawingListener drawingListener)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `drawShape​(DrawingTool drawingTool, java.util.List<Point> points, int action)` | Dispatches drawing event to corresponding handler.
    `void` | `endDrawingShape​(DrawingTool drawingTool, java.util.List<Point> points)` | Dispatches drawing event to corresponding handler.
    `void` | `toolChanged​(DrawingTool drawingTool)` | Dispatches tool changing event to all handlers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawingHandler

          public DrawingHandler​(DrawingView<T> drawingView,
                                T container,
                                DrawingView.DrawingListener drawingListener)

    - #### DrawingHandler

          @Deprecated
          public DrawingHandler​(DrawingView drawingView,
                                ZoomableImageView container,
                                DrawingView.DrawingListener drawingListener)

      Deprecated.

  - ### Method Detail

    - #### drawShape

          public void drawShape​(DrawingTool drawingTool,
                                java.util.List<Point> points,
                                int action)

      Dispatches drawing event to corresponding handler.
      Parameters:
        `drawingTool` - drawing tool.
        `points` - touch points.
        `action` - ACTION_DOWN, ACTION_MOVE.
      See Also:
        `BaseToolHandler.drawShape(List, int)`

    - #### endDrawingShape

          public void endDrawingShape​(DrawingTool drawingTool,
                                      java.util.List<Point> points)

      Dispatches drawing event to corresponding handler.
      Parameters:
        `drawingTool` - drawing tool.
        `points` - final list of touch points.
      See Also:
        `BaseToolHandler.endDrawingShape(List)`

    - #### toolChanged

          public void toolChanged​(DrawingTool drawingTool)

      Dispatches tool changing event to all handlers.
      Parameters:
        `drawingTool` - drawing tool.
      See Also:
        `BaseToolHandler.toolChanged(DrawingTool)`